import * as React from 'react';
import {observer} from 'mobx-react-lite';
import {ConfigStore, CurrentUserConfig} from "../../stores/ConfigStore";
import {LinkButton} from "@rx-suite/ui";
import {Trans} from "@lingui/macro";

export const MyConfigButton = observer(() => {
    const link = ConfigStore.readLink(CurrentUserConfig.get().getId())

    return(
        <LinkButton to={link}>
            <Trans>My Config</Trans>
        </LinkButton>
    )

})