import * as React from 'react';
import { observer } from 'mobx-react-lite';
import {Grid} from "@material-ui/core";
import {QuickCodeSelect} from "./QuickCodeSelect";
import {LabMaintenanceStore} from "../../../stores/LabMaintenanceStore";
import {QuickCodeStore} from "../../../stores/QuickCodeStore";

export const QuickCodeContainer = observer(() => {
    if(!LabMaintenanceStore.selectedModel?.display_quick_codes) {
        return null;
    }

    if(!QuickCodeStore.models.length) {
        return null;
    }

    return(
        <Grid container spacing={4}>
            <Grid item xs={12} lg={4}>
                <QuickCodeSelect/>
            </Grid>
        </Grid>
    )
})