class CreateCustomers < ActiveRecord::Migration[6.0]
  def change
    create_table :customers do |t|
      t.string :number, null: false
      t.string :name
      t.string :rpt_1
      t.string :rpt_2
      t.string :rpt_3
      t.string :rpt_4

      t.boolean :active

      t.timestamps
    end

    add_index :customers, :number, unique: true
  end
end
